<template>
  <div id="app">
    <div id="nav">
      <navbar></navbar>
    </div>
    <router-view v-if="!fetchError" />
    <b-container v-else class="mt-5 text-center">
      <h4>Oops, it seems there is an error when fetching the films.</h4>
    </b-container>
  </div>
</template>

<script>
import FilmsMixin from "@/mixins/Films";
import Navbar from "@/components/Navbar";

export default {
  mixins: [FilmsMixin],
  components: {
    Navbar,
  }
}
</script>

<style lang="scss">
</style>
